# Stream

Streams can be added from the `Add Stream` menu.

{% tabs %}
{% tab title="Add Stream" %}
![](/files/-MInECnv4_kmSe7dJodm)
{% endtab %}

{% tab title="Stream setting" %}
![](/files/-MI9IvtO35KTRpCwet8L)
{% endtab %}
{% endtabs %}

{% hint style="info" %}
The queries available in Stream are fully compatible with GitHub Search queries.\
See "[Searching issues and pull requests - github.com](https://docs.github.com/en/free-pro-team@latest/github/searching-for-information-on-github/searching-issues-and-pull-requests)"and "[Understanding the search syntax - github.com](https://docs.github.com/en/free-pro-team@latest/github/searching-for-information-on-github/understanding-the-search-syntax)" for all GitHub Search queries and syntax.
{% endhint %}

## State of issues <a href="#state" id="state"></a>

| Query                                                                                   | description                    |
| --------------------------------------------------------------------------------------- | ------------------------------ |
| `is:issue`, `is:pr`                                                                     | Issue only, pull request only  |
| <p><code>is:open</code>, <code>is:closed</code></p><p><em>not recommended</em></p>      | Opened issues, closed issues   |
| <p><code>is:merged</code>, <code>is:unmerged</code></p><p><em>not recommended</em></p>  | Merged issues, unmerged issues |
| <p><code>draft:true</code>, <code>draft:false</code></p><p><em>not recommended</em></p> | Draft issues, not draft issues |

{% hint style="warning" %}
Open, merge and draft state queries are not recommended. If you use these queries, use Filter Stream. See [here](/usecase/query.md#open-issue) for more information.
{% endhint %}

## Involve users and teams <a href="#involves" id="involves"></a>

| Query                | description           |
| -------------------- | --------------------- |
| `involves:defunkt`   | User involved issues  |
| `author:defunkt`     | User created issues   |
| `assignee:defunkt`   | User assigned issues  |
| `mentions:defunkt`   | User mentioned issues |
| `commenter:defunkt`  | User commented issues |
| `team:github/owners` | Team mentioned issues |

{% hint style="info" %}
Multiple queries of the same type become OR conditions. For example, `Involves:defunkt involves:jlord` is issues involving `defunkt` or `jlord`.
{% endhint %}

{% hint style="info" %}
`involves` as well as `author`, `assignee`, `mentions`, `commenter`, and `review-requested` all together.
{% endhint %}

## Pull requests review <a href="#review" id="review"></a>

| Query                                         | description                                                          |
| --------------------------------------------- | -------------------------------------------------------------------- |
| `review-requested:defunkt`                    | Pull requests where the user has requested a review                  |
| `team-review-requested:github/owners`         | Pull requests for which the team has requested a review              |
| `reviewed-by:defunkt`                         | User reviewed pull requests                                          |
| `review:approved`, `review:changes_requested` | <p>Approved pull requests,</p><p>Changes requested pull requests</p> |

{% hint style="info" %}
Multiple queries of the same type become OR conditions. For example, `review-requested:defunkt review-requested:jlord` is pull requests where `defunk` or `jlord` is the review request.
{% endhint %}

## Repository and organization <a href="#repo" id="repo"></a>

| Query              | description         |
| ------------------ | ------------------- |
| `repo:nodejs/node` | Repository issues   |
| `org:nodejs`       | Organization issues |
| `user:defunkt`     | User issues         |

{% hint style="info" %}
Multiple queries of the same type will result in OR conditions. For example, `repo:nodejs/node repo:electron/electron` is issues `nodejs/node` or `electron/electron`.
{% endhint %}

## Labels, milestones, etc. <a href="#label" id="label"></a>

| Query                       | description                 |
| --------------------------- | --------------------------- |
| `label:bug`                 | Labeled issues              |
| `milestone:v1.0.0`          | Milestone issues            |
| `project:github/57`         | Organization project issues |
| `project:github/linguist/1` | Repository project issues   |

{% hint style="info" %}
More than one query of the same type is an OR condition. For example, `milestone:v1.0.0.0 milestone:v2.0.0` is an issue with a `v1.0.0` or `v2.0.0.0` milestone. However, this is an AND condition for labels.
{% endhint %}

{% hint style="info" %}
A label or milestone containing spaces should be enclosed in double quotes, such as `label: "hello world"`.
{% endhint %}

## Any keywords <a href="#keyword" id="keyword"></a>

| Query                | description                                     |
| -------------------- | ----------------------------------------------- |
| `github octocat`     | Issues containing the keywords (AND conditions) |
| `github OR octocat`  | Issues containing the keyword (OR condition)    |
| `github NOT octocat` | Issues containing the keywords (NOT conditions) |

{% hint style="info" %}
To include spaces, use double quotation marks, such as `"hello world"`.
{% endhint %}

{% hint style="info" %}
AND, OR, and NOT can only contain up to five query lengths. See "[Limitations on query length - github.com](https://docs.github.com/en/free-pro-team@latest/github/searching-for-information-on-github/troubleshooting-search-queries#limitations-on-query-length)" for more information.
{% endhint %}

## Exclusion and missing <a href="#exclude" id="exclude"></a>

| Query                                                                                                                                                     | description                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| <p><code>-label:bug</code></p><p><code>-milestone:v0.0.1</code> <br><code>-repo:nodejs/node</code></p><p><code>-involves:defunk</code></p><p>and more</p> | Issues that do not contain the specified conditions                                |
| <p><code>no:label</code></p><p><code>no:milestone</code> <br><code>no:assignee</code></p><p><code>no:project</code></p>                                   | <p>Labels, Milestones, Assignments, </p><p>and An issue with no project set up</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jasperapp.io/reference/stream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
